For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet tax rate accounts
      • POSTCreate a new tax rate
      • GETGet a tax rate account by ID
      • DELDelete a tax rate
      • PATCHUpdate a tax rate
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementAccounting tax rates

Get tax rate accounts

GET
/accounting_tax_rates
GET
/v1/accounting_tax_rates
$curl https://api.sandbox.monite.com/v1/accounting_tax_rates \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "code": "code",
8 "components": [
9 {
10 "is_compound": true,
11 "name": "name",
12 "rate": 1
13 }
14 ],
15 "description": "description",
16 "effective_tax_rate": 1,
17 "is_external": true,
18 "name": "name",
19 "status": "status",
20 "total_tax_rate": 1
21 }
22 ],
23 "next_pagination_token": "next_pagination_token",
24 "prev_pagination_token": "prev_pagination_token"
25}
Get all tax rate accounts
Was this page helpful?
Previous

Create a new tax rate

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-250Defaults to 250
The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page. When using pagination with a non-default `limit`, you must provide the `limit` value alongside `pagination_token` in all subsequent pagination requests. Unlike other query parameters, `limit` is not inferred from `pagination_token`.
pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters except limit are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort"name"Optional

The field to sort the results by. Typically used together with the order parameter.

is_externalbooleanOptional

Filter by external/internal tax rates

Response

Successful Response
datalist of objects
next_pagination_tokenstring
prev_pagination_tokenstring

Errors

400
Get Accounting Tax Rates Request Bad Request Error
401
Get Accounting Tax Rates Request Unauthorized Error
403
Get Accounting Tax Rates Request Forbidden Error
422
Get Accounting Tax Rates Request Unprocessable Entity Error
500
Get Accounting Tax Rates Request Internal Server Error

The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page.

When using pagination with a non-default limit, you must provide the limit value alongside pagination_token in all subsequent pagination requests. Unlike other query parameters, limit is not inferred from pagination_token.